Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tapestry5.spring
Class SpringModule

    java.lang.Object
      org.apache.tapestry5.spring.SpringModule

    public class SpringModule

extends java.lang.Object

Module for Tapestry/Spring Integration. This module exists to force the load of the Spring ApplicationContext as part of Tapestry application initialization.

Since:
  5.1.0.0

Constructor Summary
`SpringModule(org.slf4j.Logger logger)`

Method Summary
`static void` | `addSymbolSourceAsPropertyCustomizerForSpringBeans(OrderedConfiguration<ApplicationContextCustomizer> configuration, SymbolSource symbolSource)`
`static ApplicationContextCustomizer` | `buildApplicationContextCustomizer(java.util.List<ApplicationContextCustomizer> configuration, ChainBuilder builder)` Defines a chain-of-command for handling application context customization.
`static void` | `defaultExternalSpringContextOff(MappedConfiguration<java.lang.String,java.lang.Object> configuration)`
`void` | `reportSpringContextDetailsAtStartup(OrderedConfiguration<ApplicationInitializerFilter> configuration, org.springframework.context.ApplicationContext springContext)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SpringModule

    public SpringModule(org.slf4j.Logger logger)

Method Detail

### reportSpringContextDetailsAtStartup

    @Contribute(value=ApplicationInitializer.class)
    public void reportSpringContextDetailsAtStartup(OrderedConfiguration<ApplicationInitializerFilter> configuration,
                                                                                                org.springframework.context.ApplicationContext springContext)

### defaultExternalSpringContextOff

    @Contribute(value=SymbolProvider.class)
    @FactoryDefaults
    public static void defaultExternalSpringContextOff(MappedConfiguration<java.lang.String,java.lang.Object> configuration)

### buildApplicationContextCustomizer

    @Marker(value=Primary.class)
    public static ApplicationContextCustomizer buildApplicationContextCustomizer(java.util.List<ApplicationContextCustomizer> configuration,
                                                                                                          ChainBuilder builder)

  Defines a chain-of-command for handling application context customization. This allows the Spring context to be configured before it is initially refreshed.

### addSymbolSourceAsPropertyCustomizerForSpringBeans

    @Contribute(value=ApplicationContextCustomizer.class)
    public static void addSymbolSourceAsPropertyCustomizerForSpringBeans(OrderedConfiguration<ApplicationContextCustomizer> configuration,
                                                                                                                           SymbolSource symbolSource)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2012 The Apache Software Foundation.